org.vishia.gral.swt

## Class SwtCurveView.TestHelp

- java.lang.Object
- - org.vishia.gral.swt.SwtCurveView.TestHelp

- Enclosing class:
    SwtCurveView

      private static class SwtCurveView.TestHelp
      extends java.lang.Object

  This class is only used to store values to inspect. The Inspector is a tool which works with reflection and with it internal variable can be visited in runtime. See `Inspector`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `ctRedrawAll` Counts any redraw action for complete redraw, to see how often.
    `(package private) int` | `ctRedrawAllShift` Counts any redraw action for complete redraw because nrof shift>100, to see how often.
    `(package private) int` | `ctRedrawBecauseNewData` Ct if redraw only because new data.
    `(package private) int` | `ctRedrawPart` Counts any redraw action for partial redraw, to see how often.
    `(package private) int` | `dxView` Coordinates while redraw.
    `(package private) int` | `dyView` Coordinates while redraw.
    `(package private) int` | `xView` Coordinates while redraw.
    `(package private) int` | `yView` Coordinates while redraw.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `TestHelp()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ctRedrawAll

          int ctRedrawAll

      Counts any redraw action for complete redraw, to see how often.

    - #### ctRedrawAllShift

          int ctRedrawAllShift

      Counts any redraw action for complete redraw because nrof shift>100, to see how often.

    - #### ctRedrawPart

          int ctRedrawPart

      Counts any redraw action for partial redraw, to see how often.

    - #### ctRedrawBecauseNewData

          int ctRedrawBecauseNewData

      Ct if redraw only because new data.

    - #### xView

          int xView

      Coordinates while redraw. `SwtCurveView.CurveView.drawBackground(GC, int, int, int, int)`.

    - #### yView

          int yView

      Coordinates while redraw. `SwtCurveView.CurveView.drawBackground(GC, int, int, int, int)`.

    - #### dxView

          int dxView

      Coordinates while redraw. `SwtCurveView.CurveView.drawBackground(GC, int, int, int, int)`.

    - #### dyView

          int dyView

      Coordinates while redraw. `SwtCurveView.CurveView.drawBackground(GC, int, int, int, int)`.

  - ### Constructor Detail

    - #### TestHelp

          private TestHelp()